function [ A,B, Acasc, Bcasc] = gettf( poles, zeroes)
%[A,B,Acasc,Bcasc] = GETTF( poles, zeroes)
%GETTF vytvorí čitateľ a menovateľ prenosu filtru z daných komplexne
%združených pólov a núl v kartézskej forme
%Vstupy:    poles - vektor pólov, predpokladá sa, že každému pólu odpovedá aj
%                   komplexne združený pól
%           zeroes - vektor núl, predpokladá sa, že každej nule odpovedá aj
%                    komplexne združená nula
%Výstup:    A - vektor koeficientov menovateľa prenosu
%           B - vektor koeficientov čitateľa prenosu (s konštantou b0 = 1)
%           Acasc - jednotlivé sekcie menovateľa prenosu
%           Bcasc - jednotlivé sekcie čitateľa prenosu


a = length(poles);
b = length(zeroes);

Acasc = zeros(a,3);
Bcasc = zeros(b,3);

A = 1;
B = 1;
    
%% VYTVORENIE SEKCII

for i = 1:a
    rel = real(poles(i));
    img = imag(poles(i));
    Acasc(i,:) =  getcoefsrec(rel,img);
    A = convolution(A,Acasc(i,:)); %násobenie polynómov
end

for i = 1:b
    rel = real(zeroes(i));
    img = imag(zeroes(i));
    Bcasc(i,:) =  getcoefsrec(rel,img);
    B = convolution(B,Bcasc(i,:)); %násobenie polynómov
end

end

